To use dotcloud free ssh over the wall

[ 0 ] November 27, 2012 |

A few days ago Twitter users expressed strong dissatisfaction dotcloud free ssh push, in fact, this is not surprising, as the GAE be used over the wall cPanel panel SFTP agent over the wall are subjected to some usersstrong dissatisfaction, is nothing more than two points concern, one is worried about service can be used over the wall of perhaps GFW blockade, one is worried affect server performance is widely used to over the wall in turn affect the normal use needs, these fears arenon groundless, have a lesson. The GAE been used to over the wall eventually blocked by the GFW cPanel space is used over the wall caused the server load is too big eventually more and more space service providers to shut down SSH Tunneling, released the original intention of these services is true that these companies not so that we can use to over the wall, over the wall is not the perfect solution. This results go blame anybody? GAE circumvention tools developed, found the cPanel panel ssh over the wall, is the diffusion of relevant information, or the construction of GFW for people over the wall. Someone cursed with GAE over the wall, there is space to cPanel write messages to let them close the SSH Tunneling, in any case, as long as the wall there is someone to turn free over the wall, as always, there is so much popularity, despite the charges over the wall not expensive.

 
Use dotcloud free ssh text speaking under Linux operation, detailed in article APJP support DotCloud cloud platform the Windows system build dotcloud environment, the following ssh on this basis to use dotcloud free over the wall method (Please vpn under view the article, so as not to not see the picture):
 
1. Input dotcloud info YourAppID.www, and Fig.
 
See url: ssh :/ / dotcloud@xxxxx-logname.dotcloud.com: 15859 <- port, everyone is different
 
2. Because The DotCloud the ssh key Login, does not support the use of a password key to join-i ~ / .dotcloud / dotcloud.key, ssh command parameters
ssh-i ~ / .dotcloud / dotcloud.key-vNfD 7070 dotcloud@xxx-eee.dotcloud.com-p 15859
 
3 over the wall,
 
If you still feel complicated, I wrote a simple script, simply edit the AppID = can be used
 
Code:
#! / Bin / bash
AppID = ex1.www # Change here to your appid ex: fxxkgfw.www, format: Appid.www
 
key = "$ HOME / .dotcloud / dotcloud.key"
host = $ (dotcloud info "$ AppID" | sed '/ ssh: \ / \ /. * /! d; s / ^. * \ / \ / / /' | cut-d:-f1)
rport = $ (dotcloud info "$ AppID" | sed '/ ssh: \ / \ /. * /! d; s / ^. * \ / \ / / /' | cut-d:-f2)
lport = 7070
 
if [!-f "$ key"]; then
    echo "You do not have $ key"> & 2
    exit 5
fi
if [-z "$ host"]; then
    echo "Your DotCloud APPID seems not found."> & 2
    exit 6
fi
 
ssh-i "$ key"-vNfD $ lport "$ host"-p $ rport
 
In terminal execute chmod + x scriptname, then execute. / Scriptname OK
 
 
 
Modify the script, so every time execute a command directly to generate ssh-D script, you do not need to edit the script, do not add www Simply enter your application name. For example fxxkgfw can generate another script, do not need to change the permissions, execute. / Fxxkgfw-ssh OK
 
Code:
 
#! / Bin / bash
printf "Enter DotCloud recognized with the name:"> & 2
read
AppID = "$ {REPLY}. Www"
key = "$ HOME / .dotcloud / dotcloud.key"
lport = 7070
rport = $ (dotcloud info "$ AppID" | sed '/ ssh: \ / \ /. * /! d; s / ^. * \ / \ / / /' | cut-d:-f2)
host = $ (dotcloud info "$ AppID" | sed '/ ssh: \ / \ /. * /! d; s / ^. * \ / \ / / /' | cut-d:-f1)
script_name = "$ HOME / $ {REPLY} _ssh"
 
if [!-f "$ key"]; then
   echo "You do not have $ key, I can \ 't make ssh script"> & 2
   exit 5
fi
if [-z "$ host"]; then
   echo "Your DotCloud APPID seems not found. Fail to make ssh script."> & 2
   exit 6
fi
 
echo "ssh-i $ key-vNfD $ lport $ host-p $ rport"> "$ script_name"
[$?-Eq 0] && chmod 755 "$ script_name" && echo "$ script_name is made."
exit 0
 
Later use DotCloud ssh over the wall on the generated script

 

 

Tags:

Category: FREE SSH TUNNEL

About the Author ()

Leave a Reply

(Spamcheck Enabled)